import os

import matplotlib.pyplot as plt
import numpy as np
from torch.hub import download_url_to_file
import pandas as pd
from sklearn.decomposition import PCA
import argparse

parser = argparse.ArgumentParser()
parser.add_argument('-replace', type=str, default='drop', help='mean, median, drop')
args = parser.parse_args()

dataset_name = '2023-7-16-9126FCE9-F954-49EE-BF79-56B319560E0C.csv'
path_dataset = f'../data/{dataset_name}'
if not os.path.exists(path_dataset):
    # create data folder
    os.makedirs('../data', exist_ok=True)
    download_url_to_file(
        f'http://share.yellowrobot.xyz/quick/{dataset_name}',
        path_dataset,
        progress=True
    )

#TODO

